EntityTuplizerFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple.entity
Class EntityTuplizerFactory

    java.lang.Object
      org.hibernate.tuple.entity.EntityTuplizerFactory

All Implemented Interfaces:
  Serializable

    public class EntityTuplizerFactory

extends Object
implements Serializable

A registry allowing users to define the default `EntityTuplizer` class to use per `EntityMode`.

See Also:
  Serialized Form

Field Summary
`static Class[]` | `ENTITY_TUP_CTOR_SIG`
`static Class[]` | `ENTITY_TUP_CTOR_SIG_NEW`

Constructor Summary
`EntityTuplizerFactory()`

Method Summary
`EntityTuplizer` | `constructDefaultTuplizer(EntityMode entityMode, EntityMetamodel metamodel, EntityBinding entityBinding)` Construct am instance of the default tuplizer for the given entity-mode.
`EntityTuplizer` | `constructDefaultTuplizer(EntityMode entityMode, EntityMetamodel metamodel, PersistentClass persistentClass)` Construct am instance of the default tuplizer for the given entity-mode.
`EntityTuplizer` | `constructTuplizer(Class<? extends EntityTuplizer> tuplizerClass, EntityMetamodel metamodel, EntityBinding entityBinding)` Construct an instance of the given tuplizer class.
`EntityTuplizer` | `constructTuplizer(Class<? extends EntityTuplizer> tuplizerClass, EntityMetamodel metamodel, PersistentClass persistentClass)` Construct an instance of the given tuplizer class.
`EntityTuplizer` | `constructTuplizer(String tuplizerClassName, EntityMetamodel metamodel, EntityBinding entityBinding)` Construct an instance of the given tuplizer class.
`EntityTuplizer` | `constructTuplizer(String tuplizerClassName, EntityMetamodel metamodel, PersistentClass persistentClass)` Construct an instance of the given tuplizer class.
`void` | `registerDefaultTuplizerClass(EntityMode entityMode, Class<? extends EntityTuplizer> tuplizerClass)` Method allowing registration of the tuplizer class to use as default for a particular entity-mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY_TUP_CTOR_SIG

    public static final Class[] ENTITY_TUP_CTOR_SIG

### ENTITY_TUP_CTOR_SIG_NEW

    public static final Class[] ENTITY_TUP_CTOR_SIG_NEW

Constructor Detail

### EntityTuplizerFactory

    public EntityTuplizerFactory()

Method Detail

### registerDefaultTuplizerClass

    public void registerDefaultTuplizerClass(EntityMode entityMode,
                                             Class<? extends EntityTuplizer> tuplizerClass)

  Method allowing registration of the tuplizer class to use as default for a particular entity-mode.

  Parameters:
    `entityMode` - The entity-mode for which to register the tuplizer class
    `tuplizerClass` - The class to use as the default tuplizer for the given entity-mode.

### constructTuplizer

    public EntityTuplizer constructTuplizer(String tuplizerClassName,
                                            EntityMetamodel metamodel,
                                            PersistentClass persistentClass)

  Construct an instance of the given tuplizer class.

  Parameters:
    `tuplizerClassName` - The name of the tuplizer class to instantiate
    `metamodel` - The metadata for the entity.
    `persistentClass` - The mapping info for the entity.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - If class name cannot be resolved to a class reference, or if the `Constructor.newInstance(java.lang.Object...)` call fails.

### constructTuplizer

    public EntityTuplizer constructTuplizer(String tuplizerClassName,
                                            EntityMetamodel metamodel,
                                            EntityBinding entityBinding)

  Construct an instance of the given tuplizer class.

  Parameters:
    `tuplizerClassName` - The name of the tuplizer class to instantiate
    `metamodel` - The metadata for the entity.
    `entityBinding` - The mapping info for the entity.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - If class name cannot be resolved to a class reference, or if the `Constructor.newInstance(java.lang.Object...)` call fails.

### constructTuplizer

    public EntityTuplizer constructTuplizer(Class<? extends EntityTuplizer> tuplizerClass,
                                            EntityMetamodel metamodel,
                                            PersistentClass persistentClass)

  Construct an instance of the given tuplizer class.

  Parameters:
    `tuplizerClass` - The tuplizer class to instantiate
    `metamodel` - The metadata for the entity.
    `persistentClass` - The mapping info for the entity.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - if the `Constructor.newInstance(java.lang.Object...)` call fails.

### constructTuplizer

    public EntityTuplizer constructTuplizer(Class<? extends EntityTuplizer> tuplizerClass,
                                            EntityMetamodel metamodel,
                                            EntityBinding entityBinding)

  Construct an instance of the given tuplizer class.

  Parameters:
    `tuplizerClass` - The tuplizer class to instantiate
    `metamodel` - The metadata for the entity.
    `entityBinding` - The mapping info for the entity.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - if the `Constructor.newInstance(java.lang.Object...)` call fails.

### constructDefaultTuplizer

    public EntityTuplizer constructDefaultTuplizer(EntityMode entityMode,
                                                   EntityMetamodel metamodel,
                                                   PersistentClass persistentClass)

  Construct am instance of the default tuplizer for the given entity-mode.

  Parameters:
    `entityMode` - The entity mode for which to build a default tuplizer.
    `metamodel` - The entity metadata.
    `persistentClass` - The entity mapping info.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - If no default tuplizer found for that entity-mode; may be re-thrown from `constructTuplizer(java.lang.String, org.hibernate.tuple.entity.EntityMetamodel, org.hibernate.mapping.PersistentClass)` too.

### constructDefaultTuplizer

    public EntityTuplizer constructDefaultTuplizer(EntityMode entityMode,
                                                   EntityMetamodel metamodel,
                                                   EntityBinding entityBinding)

  Construct am instance of the default tuplizer for the given entity-mode.

  Parameters:
    `entityMode` - The entity mode for which to build a default tuplizer.
    `metamodel` - The entity metadata.
    `entityBinding` - The entity mapping info.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - If no default tuplizer found for that entity-mode; may be re-thrown from `constructTuplizer(java.lang.String, org.hibernate.tuple.entity.EntityMetamodel, org.hibernate.mapping.PersistentClass)` too.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.